
Redmine - Defect #33267

unable to verify SHA256 sums for download releases 4.1.1 / 4.0.7

2020-04-07 13:16 - Andreas Baumgärtner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.1.1

Description

Hi,

after downloading the latest releases, I'm unable to verify SHA256 sums from download page:

successfull downloads and archives test without errors.

Cheers,

Andreas

https://www.redmine.org/projects/redmine/wiki/Download#Stable-releases

4.1.1 (2020-04-06):

        redmine-4.1.1.tar.gz (sha256: 0b67505431a362efa312981f75aae99aebc482f9c0eb5e8d67d39ce7af8d

9075)

        redmine-4.1.1.zip (sha256: 3a6a7e01c20bc43ff43afab69c4f3513da041817cec5cd5f8a46122193bbe0b

a)

 
4.0.7 (2020-04-06):

        redmine-4.0.7.tar.gz (sha256: ce897a65ba525faf49ea03ad8c149c1492d33052e27315c6b37ade540850

5d78)

        redmine-4.0.7.zip (sha256: 5f376360a88679a53a868edc273e031117f690b199c3d626e5c5692d829355e

5)

 
root@ATVIE15LP05:~# wget https://www.redmine.org/releases/redmine-4.1.1.tar.gz

--2020-04-07 13:05:18--  https://www.redmine.org/releases/redmine-4.1.1.tar.gz

Auflösen des Hostnamens www.redmine.org (www.redmine.org) … 94.130.94.3

Verbindungsaufbau zu www.redmine.org (www.redmine.org)|94.130.94.3|:443 … verbunden.

HTTP-Anforderung gesendet, auf Antwort wird gewartet … 200 OK

Länge: 2712056 (2,6M) [application/x-gzip]

Wird in »redmine-4.1.1.tar.gz« gespeichert.

redmine-4.1.1.tar.gz          100%[=================================================>]   2,59M  1,

55MB/s    in 1,7s

2020-04-07 13:05:20 (1,55 MB/s) - »redmine-4.1.1.tar.gz« gespeichert [2712056/2712056]

root@ATVIE15LP05:~# sha256sum redmine-4.1.1.tar.gz

05faafe764330f2d77b0aacddf9d8ddce579c3d26bb8e03a7d6e7ff461f1cdda  redmine-4.1.1.tar.gz

root@ATVIE15LP05:~# wget https://www.redmine.org/releases/redmine-4.1.1.zip

--2020-04-07 13:05:45--  https://www.redmine.org/releases/redmine-4.1.1.zip

Auflösen des Hostnamens www.redmine.org (www.redmine.org) … 94.130.94.3

Verbindungsaufbau zu www.redmine.org (www.redmine.org)|94.130.94.3|:443 … verbunden.

HTTP-Anforderung gesendet, auf Antwort wird gewartet … 200 OK

Länge: 4287442 (4,1M) [application/zip]

Wird in »redmine-4.1.1.zip« gespeichert.

redmine-4.1.1.zip             100%[=================================================>]   4,09M  1,

21MB/s    in 3,4s

2020-04-07 13:05:49 (1,21 MB/s) - »redmine-4.1.1.zip« gespeichert [4287442/4287442]

root@ATVIE15LP05:~# sha256sum redmine-4.1.1.zip
8f8a5e8fd4cf70fbf2262469bd88d6e66c4cb2045aff40db49463356418a35cb  redmine-4.1.1.zip

root@ATVIE15LP05:~# wget https://www.redmine.org/releases/redmine-4.0.7.tar.gz

--2020-04-07 13:06:06--  https://www.redmine.org/releases/redmine-4.0.7.tar.gz

Auflösen des Hostnamens www.redmine.org (www.redmine.org) … 94.130.94.3

Verbindungsaufbau zu www.redmine.org (www.redmine.org)|94.130.94.3|:443 … verbunden.

HTTP-Anforderung gesendet, auf Antwort wird gewartet … 200 OK

Länge: 2521740 (2,4M) [application/x-gzip]

Wird in »redmine-4.0.7.tar.gz« gespeichert.

redmine-4.0.7.tar.gz          100%[=================================================>]   2,40M  1,

24MB/s    in 1,9s

2020-04-07 13:06:08 (1,24 MB/s) - »redmine-4.0.7.tar.gz« gespeichert [2521740/2521740]

root@ATVIE15LP05:~# sha256sum redmine-4.0.7.tar.gz

1e556ebaefc69d09da859c2a0f95c52d2d26cf973461218169e5e7be01694a76  redmine-4.0.7.tar.gz

root@ATVIE15LP05:~# wget https://www.redmine.org/releases/redmine-4.0.7.zip

--2020-04-07 13:06:33--  https://www.redmine.org/releases/redmine-4.0.7.zip

Auflösen des Hostnamens www.redmine.org (www.redmine.org) … 94.130.94.3

Verbindungsaufbau zu www.redmine.org (www.redmine.org)|94.130.94.3|:443 … verbunden.

HTTP-Anforderung gesendet, auf Antwort wird gewartet … 200 OK

Länge: 4006975 (3,8M) [application/zip]

Wird in »redmine-4.0.7.zip« gespeichert.

redmine-4.0.7.zip             100%[=================================================>]   3,82M   9

13KB/s    in 4,1s

2020-04-07 13:06:37 (956 KB/s) - »redmine-4.0.7.zip« gespeichert [4006975/4006975]

root@ATVIE15LP05:~# sha256sum redmine-4.0.7.zip

d6a3f87a23a9d25a789d729238dafac5fb098ff88f9f240fbe2497ad8a535daa  redmine-4.0.7.zip

root@ATVIE15LP05:~# gzip -t redmine-4.1.1.tar.gz redmine-4.0.7.tar.gz

root@ATVIE15LP05:~# echo $?

0

root@ATVIE15LP05:~# unzip -tq redmine-4.1.1.zip

No errors detected in compressed data of redmine-4.1.1.zip.

root@ATVIE15LP05:~# unzip -tq redmine-4.0.7.zip

No errors detected in compressed data of redmine-4.0.7.zip.

root@ATVIE15LP05:~#

Related issues:

Is duplicate of Redmine - Defect #33434: sha256 checksum for downloads on dow... Closed

History

#1 - 2020-04-07 13:30 - Andreas Baumgärtner

checked an MD5 sum - it matches

root@ATVIE15LP05:~# curl https://www.redmine.org/releases/redmine-4.1.1.tar.gz.md5

a15a25dec7b866e213bbd4b041f05f17  redmine-4.1.1.tar.gz

root@ATVIE15LP05:~# md5sum redmine-4.1.1.tar.gz

a15a25dec7b866e213bbd4b041f05f17  redmine-4.1.1.tar.gz

root@ATVIE15LP05:~#

#2 - 2020-05-12 13:49 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #33434. Thank you for reporting the issue.

#3 - 2020-05-12 13:49 - Go MAEDA

- Is duplicate of Defect #33434: sha256 checksum for downloads on download page is wrong added
